.sidebar {
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 800;
    padding: rem(16);
    position: fixed;
    background: transparent;
    transition: .3s;
    display: none;

    &__container {
        width: rem(82);
        min-height: 100%;
        background: white;
        border-radius: 20px;
        position: relative;
        display: flex;
        flex-direction: column;
        box-shadow: var(--shadow);
        transition: .3s;
    }

    &__header {
        padding: rem(24) rem(14);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__logo {
        overflow: hidden;
        font-weight: 500;
        font-size: rem(24);
        line-height: rem(30);
        fill: var(--blue);
        color: var(--blue);
        white-space: nowrap;
        text-decoration: none;
        text-transform: uppercase;
        display: flex;
        align-items: center;
        column-gap: rem(12);
        transition: var(--transition-time);

        &:hover {
            fill: var(--blue);
            color: var(--blue);
            text-decoration: none;
            transition: var(--transition-time);
        }

        i {
            font-size: 0;
            line-height: 0;
            display: block;
            flex-shrink: 0;
            width: rem(44);
            height: rem(44);
        }

        span {
            display: none;
        }
    }

    &__toggle {
        padding: 0;
        z-index: 100;
        right: rem(-12);
        top: calc(50% - 0.75rem);
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        width: rem(24);
        height: rem(24);
        display: block;
        cursor: pointer;
        background: white;
        border-radius: 50%;
        position: absolute;
        transition: right .3s;
    }

    &__body {
        flex-grow: 1;
        position: relative;
    }

    &__main {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        padding: rem(24) rem(14);
        position: absolute;
        display: flex;
        flex-direction: column;
        overflow-y: auto;
    }

    &__nav {
        display: flex;
        flex-grow: 1;
        flex-direction: column;
        row-gap: rem(4);
    }

    &__item {

        &.active {

            .sidebar {

                &__link {
                    color: var(--blue);
                    stroke: var(--blue);
                    text-decoration: none;
                    background: rgba(1, 118, 246, 0.02);
                }
            }
        }
    }

    &__link {
        overflow: hidden;
        white-space: nowrap;
        border-radius: 8px;
        position: relative;
        background: transparent;
        font-size: rem(16);
        line-height: rem(20);
        color: var(--dark);
        stroke: var(--dark);
        text-decoration: none;
        height: rem(54);
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: rem(12);
        transition: var(--transition-time);

        i {
            display: block;
            flex-shrink: 0;
            width: rem(24);
            height: rem(24);
        }

        span {
            display: none;
        }

        &:hover {
            color: var(--blue);
            stroke: var(--blue);
            text-decoration: none;
            transition: var(--transition-time);
        }

        &.active {

        }
    }

    &__divider {
        height: 1px;
        margin: rem(12) 0;
        background: #EEEEEE;
    }

    &__footer {
        padding-top: rem(24);
    }

    &__second {
        display: none !important;
    }

    &__sites {
        top: 0;
        bottom: 0;
        left: calc(100% + 10px);
        z-index: 500;
        width: rem(200);
        background: white;
        position: absolute;
        padding: rem(10);
        border-radius: rem(20);
        box-shadow: var(--shadow);
        display: flex;
        flex-direction: column;
        row-gap: rem(12);
        opacity: 0;
        visibility: hidden;
        transition: .25s;

        &.open {
            opacity: 1;
            visibility: visible;
            transition: .25s;
        }
    }


    @include media-breakpoint-up(md) {
        display: block;
    }

    @include media-breakpoint-up(xl) {
        padding: rem(32);
    }

    @include media-breakpoint-up(xxl) {

        &__container {
            width: rem(338);
            transition: .3s;
        }

        &__header {
            padding: rem(24) rem(24);
            justify-content: flex-start;
        }

        &__logo {

            span {
                display: block;
            }
        }

        &__toggle {
            right: rem(24);
            transform: rotate(180deg);
        }

        &__main {
            padding: rem(24) rem(24);
        }

        &__link {
            justify-content: flex-start;

            span {
                display: block;
            }
        }

        &__item {

            &.active {

                .sidebar {

                    &__link {

                        &:before {
                            right: 0;
                            top: calc(50% - 14px);
                            content: '';
                            width: 3px;
                            height: 28px;
                            position: absolute;
                            background: var(--blue);
                            border-radius: 5px 0 0 5px;
                        }
                    }
                }
            }
        }
    }
}

.sidebar-info {
    height: rem(54);
    overflow: hidden;
    position: relative;
    background: #F6F6F6;
    border-radius: 14px;
    transition: .3s;

    &__image {
        top: calc(50% - 23px);
        left: calc(50% - 26px);
        width: 52px;
        position: absolute;
    }

    &__content {
        display: none;
        padding: rem(20);
        position: relative;
    }

    &__title {
        font-weight: 500;
        font-size: rem(18);
        line-height: 130%;
        margin-bottom: rem(6);
    }

    &__text {
        color: #8C8C8C;
        font-size: rem(12);
        line-height: 150%;
        margin-bottom: rem(35);
    }

    &__progress {
        margin-bottom: rem(20);
    }

    &__label {
        color: #8C8C8C;
        text-align: right;
        font-size: rem(13);
        line-height: 150%;
    }

    &__scale {
        height: 4px;
        overflow: hidden;
        position: relative;
        border-radius: 5px;
        background: #EDEDED;

        span {
            top: 0;
            left: 0;
            bottom: 0;
            display: block;
            border-radius: 5px;
            position: absolute;
            background: var(--blue);
        }
    }

    @include media-breakpoint-up(xxl) {
        height: auto;

        &__image {
            width: 119px;
            top: -4px;
            left: calc(100% - 57px);
        }

        &__content {
            display: block;
        }
    }
}

.sidebar-area {
    height: rem(54);
    color: #515053;
    stroke: #515053;
    white-space: nowrap;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition-time);

    &__name {
        display: none;
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        display: none;
        width: rem(14);
        height: rem(14);
        flex-shrink: 0;
    }

    &:hover {
        color: #515053;
        stroke: #515053;
        text-decoration: none;
        transition: var(--transition-time);
    }

    @include media-breakpoint-up(md) {
        padding: rem(12);
        position: relative;
        background: #F4F4F4;
        border-radius: rem(10);
        flex-grow: 1;
        flex-direction: column;
        align-items: flex-start;
        justify-content: space-between;

        &__name {
            display: block;
            flex-grow: 0;
        }

        &__media {
            width: rem(36);
            flex-shrink: 0;
        }

        &__arrow {
            display: block;
            right: rem(12);
            bottom: rem(18);
            position: absolute;
        }

        &:hover {
            background: #f1f1f1;
        }
    }
}

.sidebar-switched {

    .sidebar {
        transition: .3s;

        &__container {
            width: rem(338);
            transition: .3s;
        }

        &__header {
            padding: rem(24) rem(24);
            justify-content: flex-start;
        }

        &__logo {

            span {
                display: block;
            }
        }

        &__toggle {
            right: rem(24);
            transform: rotate(180deg);
            transition: right .3s;
        }

        &__main {
            padding: rem(24) rem(24);
        }

        &__link {
            justify-content: flex-start;

            span {
                display: block;
            }
        }

        &__item {

            &.active {

                .sidebar {

                    &__link {

                        &:before {
                            right: 0;
                            top: calc(50% - 14px);
                            content: '';
                            width: 3px;
                            height: 28px;
                            position: absolute;
                            background: var(--blue);
                            border-radius: 5px 0 0 5px;
                        }
                    }
                }
            }
        }
    }

    .sidebar-info {
        height: auto;
        transition: .3s;

        &__image {
            width: 119px;
            top: -4px;
            left: calc(100% - 57px);
        }

        &__content {
            display: block;
        }
    }

    .sidebar-area {
        justify-content: flex-start;

        &__name {
            display: block;
            flex-grow: 1;
        }

        &__media {
            width: rem(36);
            flex-shrink: 0;
        }

        &__arrow {
            display: block;
        }
    }

    @include media-breakpoint-up(xxl) {

        .sidebar {
            transition: .3s;

            &__container {
                width: rem(82);
                transition: .3s;
            }

            &__header {
                padding: rem(24) rem(12);
                justify-content: center;
            }

            &__logo {

                span {
                    display: none;
                }
            }

            &__toggle {
                right: rem(-12);
                transform: rotate(0deg);
            }

            &__main {
                padding: rem(24) rem(14);
            }

            &__link {
                justify-content: center;

                span {
                    display: none;
                }
            }

            &__item {

                &.active {

                    .sidebar {

                        &__link {

                            &:before {
                                display: none;
                            }
                        }
                    }
                }
            }
        }

        .main {
            padding-left: rem(164);
            transition: padding-left .3s;
        }

        .sidebar-info {
            height: rem(54);

            &__content {
                display: none;
            }

            &__image {
                top: calc(50% - 23px);
                left: calc(50% - 26px);
                width: 52px;
            }
        }

        .sidebar-area {
            justify-content: center;

            &__name {
                display: none;
                flex-grow: 1;
            }

            &__media {
                width: auto;
                flex-shrink: 0;
            }

            &__arrow {
                display: none;
            }
        }
    }
}

.sidebar-overlay {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 780;
    display: block;
    position: fixed;
    opacity: 0;
    visibility: hidden;
    background: rgba(0,0,0,0.2);
    transition: var(--transition-time);

    &.open {
        opacity: 1;
        visibility: visible;
        transition: var(--transition-time);
    }
}
